// C++ Interface: addPackage
//
// Description: add package dialog
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//

#ifndef ADDPACKAGE_H
#define ADDPACKAGE_H

#include <kdialogbase.h>

class KLineEdit;
class KTextEdit;
class QCheckBox;

namespace nbs {
namespace dialog {

class AddPackage : public KDialogBase {
Q_OBJECT
public:
	AddPackage(QWidget* parent = 0, const char* name = 0);
	~AddPackage();

	QString packageName() const;
	QString packageTitle() const;
	QString packageDescription() const;
	bool packageSpec() const;

private slots:
	void enableAddButton();

private:
	KLineEdit* lineEditTitle;
	KLineEdit* lineEditName;
	KTextEdit* textEditDescription;
	QCheckBox* checkboxSpec;
};

}}
#endif
