// C++ Implementation: addUser
//
// Description: implementation of the add users dialog
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//

#include "adduser.h"
#include "adduser.moc"

#include <qlayout.h>
#include <qlabel.h>
#include <qcombobox.h>

#include <klocale.h>
#include <klineedit.h>

using namespace nbs;
using namespace dialog;

AddUser::AddUser(QWidget* parent, const char* name)
	: KDialogBase(parent, name, true, i18n("Add User"), Ok | Cancel) {

	QFrame *topFrame = makeMainWidget();
	QGridLayout *topLayout = new QGridLayout(topFrame);
	topLayout->setSpacing(spacingHint());

	QLabel *label = new QLabel(i18n("UserName:"), topFrame);
	topLayout->addWidget(label, 0, 0);
	lineEditUserID = new KLineEdit(topFrame);
	topLayout->addWidget(lineEditUserID, 0, 1);
	connect(lineEditUserID, SIGNAL(textChanged(const QString&)), SLOT(enableAddButton()));
	lineEditUserID->setFocus();

	enableAddButton();
}

AddUser::~AddUser(){
}

void AddUser::enableAddButton()
{
	enableButton(Ok, !lineEditUserID->text().isEmpty());
}

QString AddUser::userID() const {
	return user;
}

UserType AddUser::userType() const {
	return type;
}
