// C++ Implementation: miscDialog
//
// Description: implementation of various small dialog
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//

#include "dialog.h"

#include <qlabel.h>
#include <qlayout.h>
#include <qcombobox.h>
#include <qpushbutton.h>

using namespace nbs;
using namespace dialog;

//////////////////////////////////////
// dlgShowAbout
AboutDialog::AboutDialog(QWidget* parent = 0, const char* name = 0, AboutData* aboutData = 0)
	: QDialog(parent, name) {
	setCaption(tr("API About"));

	QString nTitle = tr("Title:");
	nTitle.append(aboutData->getTitle());
	QString nDescription = tr("Description:");
	nDescription.append(aboutData->getDescription());
	QString nRevision = tr("Revision:");
	nRevision.append(aboutData->getRevision());

	labelTitle = new QLabel(nTitle, this);
	labelDescription = new QLabel(nDescription, this);
	labelRevision = new QLabel(nRevision, this);

	ButtonClose = new QPushButton(tr("&Close"), this);

	//FIXME
	//urg it overlap all those, need to setup a layout

	kdDebug() << "new about dialog" << endl;
}

AboutDialog::~AboutDialog() {
	kdDebug() << "deleted about dialog" << endl;
}

//////////////////////////////////////
// dlgConfim
ConfirmDialog::ConfirmDialog(QWidget* parent = 0, const char* name = 0)
	: QDialog(parent, name) {
	setCaption(tr("Please Confirm"));

	ButtonConfirm = new QPushButton(tr("Con&firm"), this);
	ButtonCancel = new QPushButton(tr("&Cancel"), this);

}

ConfirmDialog::~ConfirmDialog(){

}
