// C++ Interface: miscDialog
//
// Description: contain miscanlaneous dialog
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//

#ifndef MISCDLG_H
#define MISCDLG_H

#include "addpackage.h"
#include "addproject.h"
#include "addplatform.h"
#include "adduser.h"

#include "miscdata.h"

#include <qdialog.h>
#include <qobject.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qcombobox.h>
#include <qpushbutton.h>

#include <kdebug.h>
#include <klineedit.h>

namespace nbs {
namespace dialog {

//////////////////////////////////////
// dlgShowAbout
class AboutDialog : public QDialog {
Q_OBJECT
public:
	AboutDialog(QWidget* parent, const char* name, AboutData* aboutData);
	~AboutDialog();

private:
	QLabel* labelTitle;
	QLabel* labelDescription;
	QLabel* labelRevision;

	QPushButton* ButtonClose;
};

//////////////////////////////////////
// dlgConfim
class ConfirmDialog : public QDialog {
Q_OBJECT
public:
	ConfirmDialog(QWidget* parent, const char* name);
	~ConfirmDialog();

private slots:

private:
	QLabel* labelConfirm;

	QPushButton* ButtonConfirm;
	QPushButton* ButtonCancel;
};

}}
#endif
