/*
    This file is part of Richclient.

    Copyright (c) 2007 SUSE LINUX Products GmbH

    Author: Cornelius Schumacher <cschum@suse.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef HTTPHEADER_H
#define HTTPHEADER_H

#include <qstring.h>
#include <qmap.h>

namespace KIO {
class Job;
}

class HttpHeader {
public:
	HttpHeader();
	HttpHeader( KIO::Job * );

	void parseMetaData( KIO::Job * );

	QString returnCode() const;
	QString returnText() const;

	QString field( const QString &fieldName ) const;

	bool isError() const;

private:
	QString mReturnCode;
	QString mReturnText;

	QMap<QString,QString> mFields;
};

#endif
