/***************************************************************************
 *   Copyright (C) 2006-2007 by Jonathan Arsenault                              *
 *   jonharson@gmail.com                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <dcopclient.h>

#include <klocale.h>
#include <kaboutdata.h>
#include <kmainwindow.h>
#include <kapplication.h>
#include <kcmdlineargs.h>

#include "mainwindow.h"

static const char description[] = I18N_NOOP("openSUSE Build service client");
static const char version[] = "0.4";
//static const QString User = getenv("USER");

static KCmdLineOptions options[] = {
	//add cli option here
};

int main(int argc, char **argv) {
	KAboutData about("richclient", I18N_NOOP("richclient"), version, description,
		 KAboutData::License_GPL,"(C) 2006 Jonathan Arsenault", 0, 0, "jonharson@gmail.com");
	about.addAuthor("Jonathan Arsenault", 0, "jonharson@gmail.com");
	about.addAuthor("Cornelius Schumacher", 0, "cschum@suse.de");

	KCmdLineArgs::init(argc, argv, &about);
	KCmdLineArgs::addCmdLineOptions(options);
	KApplication app;
	//app.dcopClient()->registerAs(app.name(), false);

	if (app.isRestored()) {
		RESTORE(MainWindow);
	} else {
		MainWindow *widget = new MainWindow();
		widget->show();
		app.setMainWidget(widget);
	}

	return app.exec();
};
