// C++ Interface: MiscData
//
// Description:
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//

#ifndef MISCDAT_H
#define MISCDAT_H

#include <qstring.h>
#include <qstringlist.h>

#include <kdebug.h>

namespace nbs {

/////////////////////////////////////////
// Reply Data
class Reply {
public:
	Reply();
	~Reply();

	void setCode(const QString&);
	void setSummary(const QString&);
	void setDetails(const QString&);

	QString getCode();
	QString getSummary();
	QString getDetails();

private:
	QString code;
	QString summary;
	QString details;

};

/////////////////////////////////////////
// About Data

struct Documentation {
	QStringList type;
	QStringList url;
};

class AboutData {
public:
	AboutData();
	~AboutData();

	void setTitle(const QString&);
	void setDescription(const QString&);
	void setRevision(const QString&);

	void addDocumentation(const QString&, const QString&);

	QString getTitle();
	QString getDescription();
	QString getRevision();

	Documentation getDocumentation();

private:
	QString title;
	QString description;
	QString revision;

	Documentation docList;
};

}
#endif
