// C++ Interface: MiscWorker
//
// Description: miscanlenous fonction
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//

#ifndef MISCW_H
#define MISCW_H

#include <qstring.h>
#include <qobject.h>

#include <kdebug.h>

#include "workset.h"
#include "miscdata.h"
#include "userdata.h"
#include "slaveworker.h"
#include "xmlparser.h"

namespace nbs {

/*******************************************************/
/* MiscWorker class                                    */
/*******************************************************/
class MiscWorker : public QObject {
Q_OBJECT
public:
	MiscWorker(QObject*, const char*, MainWorker*, SlaveWorker*);
	~MiscWorker();

	void getUserInfo(const QString&);
	void setUserInfo(const QString&);

	void toggleWatched();

	void getAboutApi();

public slots:
	void getUserInfoResult(const QString&);
	void setUserInfoResult(const QString&);
	void getAboutApiResult(const QString&);

signals:
	void newUserData();
	void newAboutData();

	void newSetUserDataReply(nbs::Reply&);

private:
	MainWorker* workset;
	xml::XmlParser* parser;
	xml::XmlWriter* writer;

	SlaveWorker* slave;

	SlaveWorker* ga_slave;
	SlaveWorker* su_slave;
	SlaveWorker* gu_slave;
};

}
#endif
