// C++ Implementation: Package
//
// Description: package implementation
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//

#include "package.h"

using namespace nbs;

PackageMeta::PackageMeta() {
	kdDebug() << "new PackageMeta" << endl;
}

PackageMeta::~PackageMeta() {
	kdDebug() << "deleted PackageMeta" << endl;
}

void PackageMeta::setName(const QString& nName) {
	name = nName;
}

void PackageMeta::setProject(const QString& nProject) {
	project = nProject;
}

void PackageMeta::setTitle(const QString& nTitle) {
	title = nTitle;
}

void PackageMeta::setDescription(const QString& nDescription) {
	description = nDescription;
}

void PackageMeta::setGroup(const QString& nGroup) {
	group = nGroup;
}

void PackageMeta::setResult(PackageResult result) {
	packageResult = result;
}

void PackageMeta::setFileListing(Directory dir) {
	fileListing = dir;
}

void PackageMeta::addUser(const QString& role, const QString& id) {
	packageUsers.userRole.append(role);
	packageUsers.userId.append(id);
}

QString PackageMeta::getName() const {
	return name;
}

QString PackageMeta::getProject() const  {
	return project;
}

QString PackageMeta::getTitle() const  {
	return title;
}

QString PackageMeta::getDescription() const  {
	return description;
}

QString PackageMeta::getGroup()  const {
	return group;
}

Users* PackageMeta::getUsers() {
	return &packageUsers;
}

Directory* PackageMeta::getFileListing() {
	return &fileListing;
}

PackageResult* PackageMeta::getResult() {
	return &packageResult;
}

/////////////////////////////////////////
PackageResult::PackageResult() {
//TODO
	kdDebug() << "new PackageResult"  << endl;
}

PackageResult::~PackageResult() {
	kdDebug() << "deleted PackageResult" << endl;
}
