// C++ Interface: Package
//
// Description: basic package interface
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//

#ifndef PACKAGE_H
#define PACKAGE_H

#include <qstring.h>
#include <qptrlist.h>

#include <kdebug.h>

#include "repository.h"

namespace nbs {

class PackageResult {
public:
	PackageResult();
	~PackageResult();

private:

};

////////////////////////////////////////////
class PackageMeta {
public:
	PackageMeta();
	~PackageMeta();

	void setProject(const QString&);

	void setName(const QString&);
	void setTitle(const QString&);
	void setDescription(const QString&);
	void setGroup(const QString&);
	void setResult(PackageResult);
	void setFileListing(Directory);

	void addUser(const QString&, const QString&);

	QString getProject() const;

	QString getName() const;
	QString getTitle() const;
	QString getDescription() const;
	QString getGroup() const;

	Users* getUsers();
	Directory* getFileListing();
	PackageResult* getResult();

private:
	QString project;

	QString	name;
	QString title;
	QString description;
	QString group;

	Users packageUsers;
	Directory fileListing;
	PackageResult packageResult;
};

}
#endif
