// C++ Implementation: Project
//
// Description: project implementation
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//

#include "project.h"

using namespace nbs;

ProjectMeta::ProjectMeta() {
	kdDebug() << "new ProjectMeta" << endl;
}

ProjectMeta::~ProjectMeta() {
	kdDebug() << "deleted ProjectMeta" << endl;
}

void ProjectMeta::setName(const QString& nName) {
	name = nName;
}

void ProjectMeta::setTitle(const QString& nTitle) {
	title = nTitle;
}

void ProjectMeta::setDescription(const QString& nDescription) {
	description = nDescription;
}

void ProjectMeta::setResult(ProjectResult result) {
	projectResult = result;
}

void ProjectMeta::setPackageListing(Directory dir) {
	packageListing = dir;
}

void ProjectMeta::addUser(const QString& role, const QString& id) {
	projectUsers.userRole.append(role);
	projectUsers.userId.append(id);
}

QString ProjectMeta::getName() const {
	return name;
}

QString ProjectMeta::getTitle() const {
	return title;
}

QString ProjectMeta::getDescription() const {
	return description;
}

Users* ProjectMeta::getUsers() {
	return &projectUsers;
}

Directory* ProjectMeta::getPackageListing() {
	return &packageListing;
}

ProjectResult* ProjectMeta::getResult() {
	return &projectResult;
}

////////////////////////////////////////////////////
ProjectResult::ProjectResult() {
//TODO
	kdDebug() << "new ProjectResult" << endl;
}

ProjectResult::~ProjectResult() {
	kdDebug() << "deleted ProjectResult" << endl;
}
