// C++ Interface: Repository
//
// Description: basic repository interface
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//

#ifndef REPO_H
#define REPO_H

#include <qstring.h>
#include <qstringlist.h>

#include <kdebug.h>

namespace nbs {

class Repository {
public:
	Repository();
	~Repository();

private:
	QStringList arch;
	QStringList listing;

};

/////////////////////////////////////
struct Users {
	QStringList userRole;
	QStringList userId;
};


/////////////////////////////////////
class Directory {
public:
	Directory();
	~Directory();

	void addEntry(const QString&);
	void delEntry(const QString&);
	void setCount(const int&);

	QString getEntry(int);
	QStringList getListing();
	int getCount();

private:
	QStringList listing;
	int count;

};

}
#endif
