// C++ Implementation: UserData
//
// Description: userdata implementation
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//

#include "userdata.h"

using namespace nbs;

UserData::UserData() {
	kdDebug() << "new UserData" << endl;
}

UserData::~UserData() {
	kdDebug() << "deleted UserData" << endl;
}

void UserData::setEmail(const QString& nEmail) {
	email = nEmail;
}

void UserData::setUserName(const QString& nUserName) {
	userName = nUserName;
}

void UserData::setRealName(const QString& nRealName) {
	realName = nRealName;
}

void UserData::setSourceHost(const QString& nHost) {
	source.host = nHost;
}

void UserData::setSourcePort(const QString& nPort) {
	source.port = nPort;
}

void UserData::setRpmHost(const QString& nHost) {
	rpm.host = nHost;
}

void UserData::setRpmPort(const QString& nPort) {
	rpm.port = nPort;
}

void UserData::setWatchList(const QStringList& nWatchList) {
	watchList = nWatchList;
}

void UserData::addWatchListElement(const QString& element) {
	watchList += element;
}

void UserData::removeWatchListElement(const QString& element) {
	watchList.remove(element);
}

QString UserData::getEmail() const{
	return email;
}

QString UserData::getUserName() const{
	return userName;
}

QString UserData::getRealName() const{
	return realName;
}

QStringList UserData::getWatchList() {
	return watchList;
}

Backend UserData::getSourceBackend() {
	return source;
}

Backend UserData::getRpmBackend() {
	return rpm;
}
