// C++ Interface: UserData
//
// Description: hold user related data as the workdir and watched project
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//

#ifndef USERDAT_H
#define USERDAT_H

#include <qstring.h>
#include <qstringlist.h>

#include <kdebug.h>

namespace nbs {

// currently only mainteneer availlable but gonna prepare it
// so the add user dialogue can use a drop down box for this
typedef enum UserType {
	us_admin = 1,
	us_maintener,
	us_contributor
};

struct Backend {
	QString host;
	QString port;
};

class UserData {
public:
	UserData();
	~UserData();

	void setEmail(const QString&);
	void setUserName(const QString&);
	void setRealName(const QString&);

	void setWatchList(const QStringList&);
	void addWatchListElement(const QString&);
	void removeWatchListElement(const QString&);

	void setSourceHost(const QString&);
	void setSourcePort(const QString&);

	void setRpmHost(const QString&);
	void setRpmPort(const QString&);

	QString getEmail() const;
	QString getUserName() const;
	QString getRealName() const;

	QStringList getWatchList();

	Backend getSourceBackend();
	Backend getRpmBackend();

private:
	QString email;
	QString userName;
	QString realName;

	QStringList watchList;

	Backend source;
	Backend rpm;

};

}
#endif
